summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dodoc
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/dodoc')
-rwxr-xr-xbin/ebuild-helpers/dodoc28
1 files changed, 28 insertions, 0 deletions
diff --git a/bin/ebuild-helpers/dodoc b/bin/ebuild-helpers/dodoc
new file mode 100755
index 000000000..adf49d04f
--- /dev/null
+++ b/bin/ebuild-helpers/dodoc
@@ -0,0 +1,28 @@
+#!/bin/bash
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+if [ $# -lt 1 ] ; then
+ source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
+ vecho "${0##*/}: at least one argument needed" 1>&2
+ exit 1
+fi
+
+dir="${D}usr/share/doc/${PF}/${_E_DOCDESTTREE_}"
+if [ ! -d "${dir}" ] ; then
+ install -d "${dir}"
+fi
+
+ret=0
+for x in "$@" ; do
+ if [ -s "${x}" ] ; then
+ install -m0644 "${x}" "${dir}"
+ ecompress --queue "${dir}/${x##*/}"
+ elif [ ! -e "${x}" ] ; then
+ echo "!!! ${0##*/}: $x does not exist" 1>&2
+ ((++ret))
+ fi
+done
+
+exit ${ret}